---
categories: email
title: Howto Sympa
...

* Documentation : <http://www.sympa.org/doc/>

[Sympa](http://www.sympa.org/) est un logiciel de gestion de listes de diffusion.

## Installation

Installer au préalable [Postfix](HowtoPostfix), [Apache](HowtoApache) et [MariaDB](HowtoMySQL).

~~~
# aptitude install sympa default-mysql-server libapache2-mod-fcgid opendkim-tools
# a2enconf sympa

# sympa -v
Sympa 6.2.16

# systemctl status sympa
● sympa.service - SYMPA mailing list manager
   Loaded: loaded (/lib/systemd/system/sympa.service; enabled; vendor preset: enabled)
     Docs: man:sympa_msg(8)
 Main PID: 18009 (sympa_msg.pl)
    Tasks: 1 (limit: 4915)
   CGroup: /system.slice/sympa.service
           └─18009 /usr/bin/perl /usr/lib/sympa/bin/sympa_msg.pl

Nov 05 20:34:34 systemd[1]: Starting SYMPA mailing list manager...
Nov 05 20:34:35 sympa_msg[17997]: info main::_load() Configuration file read, default log level 0
Nov 05 20:34:36 sympa_msg[17997]: notice Sympa::Process::daemonize() Starting sympa/msg daemon, PID 18009
Nov 05 20:34:36 sympa_msg[18009]: notice main:: Sympa/msg 6.2.16 Started
Nov 05 20:34:36 systemd[1]: Started SYMPA mailing list manager.
~~~

`/etc/sympa/sympa/sympa.conf` :

~~~
use_fast_cgi    1
~~~

`/etc/postfix/main.cf` :

~~~
alias_maps = hash:/etc/aliases hash:/etc/mail/sympa/aliases
alias_database = hash:/etc/aliases hash:/etc/mail/sympa/aliases
~~~

## Configuration

### Apache

VirtalHost :

~~~
<VirtualHost *:80 *:443>

    ServerName lists.example.com

    RedirectMatch ^/$ /wws/

    #Include /etc/apache2/ssl/sympa.conf

</VirtualHost>
~~~

Let's Encrypt

### Sympa

~~~
domain  lists.example.com
listmaster  listmaster@lists.example.com
wwsympa_url http://lists.example.com/wws

lang    fr
~~~

redémarrer sympa **et** apache !

### DKIM

Génération clés DKIM :

~~~
# opendkim-genkey -D /etc/ssl/private/ -d lists.example.com -s sympa2018 -v
# adduser sympa ssl-cert
# chown sympa:sympa /etc/ssl/private/foo_lists.example.com.key
~~~

`sympa.conf` :

~~~
dkim_feature on
dkim_private_key_path /etc/ssl/private/sympa2018.private
dkim_signer_domain lists.example.com
dkim_selector sympa2018
~~~


## FAQ

### List::load() No such robot

J'ai des messages de ce type alors que example.com n'est pas/plus du tout domaine :

~~~
Nov  9 18:35:18 serveur task_manager[7285]: List::load() No such robot (virtual domain) example.com
~~~

Cela pourrait venir de tâches à nettoyer dans /var/spool/sympa/task/
Au passage, vérifier en base de données qu'il n'y a pas/plus rien relatif à example.com dans subscriber_table, session_table, logs_table.

### Installation sous Debian 6

Sous Debian Squeeze, voici quelques manipulations nécessaires suite à l'installation :

~~~
# chown sympa:sympa /usr/lib/sympa/lib/sympa/queue
# chmod u+s /usr/lib/sympa/lib/sympa/queue
# chown root /etc/postfix/sympa.aliases
~~~

### End of script output before headers

Si vous avez des erreurs Apache du type :

~~~
[fcgid:warn] [pid 21826] (104)Connection reset by peer: [client 192.0.2.42:37006] mod_fcgid: error reading data from FastCGI server
[core:error] [pid 21826] [client 192.0.2.42:37006] End of script output before headers: wwsympa-wrapper.fcgi
~~~

[Assurez-vous](https://bugs.debian.org/682562) d'avoir activé `use_fast_cgi`.


